From 5b5065c2c63c8bbe808aae0645e0534e8aee5f24 Mon Sep 17 00:00:00 2001
From: Japin Li <japinli@hotmail.com>
Date: Wed, 30 Apr 2025 23:33:04 +0800
Subject: [PATCH v2 1/2] Fix outdated comments for IndexInfo

* Commit 78416235713 removed the ii_OpclassOptions field.

* Commit 94aa7cc5f70 added the ii_NullsNotDistinct field.

* Commit fc0438b4e80 added the ii_WithoutOverlaps field.

All previous comments were not updated accordingly.
---
 src/include/nodes/execnodes.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/include/nodes/execnodes.h b/src/include/nodes/execnodes.h
index 5b6cadb5a6c..076ffa45d60 100644
--- a/src/include/nodes/execnodes.h
+++ b/src/include/nodes/execnodes.h
@@ -174,13 +174,14 @@ typedef struct ExprState
  *		UniqueProcs
  *		UniqueStrats
  *		Unique				is it a unique index?
- *		OpclassOptions		opclass-specific options, or NULL if none
+ *		NullsNotDistinct	is unique nulls distinct?
  *		ReadyForInserts		is it valid for inserts?
  *		CheckedUnchanged	IndexUnchanged status determined yet?
  *		IndexUnchanged		aminsert hint, cached for retail inserts
  *		Concurrent			are we doing a concurrent index build?
  *		BrokenHotChain		did we detect any broken HOT chains?
  *		Summarizing			is it a summarizing index?
+ *		WithoutOverlaps		is it a without overlaps index?
  *		ParallelWorkers		# of workers requested (excludes leader)
  *		Am					Oid of index AM
  *		AmCache				private cache area for index AM
-- 
2.43.0

